config.gem problem with hpricot (and others?) on edge

27 views
Skip to first unread message

Trevor Turk

unread,
Oct 20, 2008, 3:56:01 PM10/20/08
to Ruby on Rails: Core
I did a "rake rails:freeze:edge" today and started getting some errors
about hpricot_scan not being available.

"no such file to load -- hpricot_scan"

I had the hpricot gem "unpacked" in vendor/gems. I tried to uninstall/
reinstall the gem manually, but wasn't able to get things working
until I removed it from vendor/gems.

My guess would be that this gem wasn't working because it does the
whole "building native extensions" thing, and perhaps the recent
changes around vendor/gems causes an issue here? This only
speculation, of course, but I thought it worth bringing up.

Had anyone else experienced this problem? Is it something worth
documenting, if it hasn't been already?

Thanks,
- Trevor

Matt jones

unread,
Oct 20, 2008, 4:04:08 PM10/20/08
to Ruby on Rails: Core
After unpacking a gem that uses native extensions, you need to do
rake gems:build to actually compile them.

--Matt

Trevor Turk

unread,
Oct 20, 2008, 4:09:42 PM10/20/08
to Ruby on Rails: Core
On Oct 20, 3:04 pm, Matt jones <al2o...@gmail.com> wrote:
> After unpacking a gem that uses native extensions, you need to do
> rake gems:build to actually compile them.

I see, thank you for the quick response. I'm not sure what could be
done to help other dummies like me that'll run into this hitch, but
it's good to know there's an easy solution.

- Trevor
Reply all
Reply to author
Forward
0 new messages